package com.steering.model.qcm;

/**
 * 数据库表QCM_ZC_CHECKCONSIGN所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-03-29
 */
@SuppressWarnings("serial")
public class QcmZcCheckconsignEntity implements java.io.Serializable {
    /**
     * 检验编号
     */
    private String checkNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 实重
     */
    private String actWeight = "";
    /**
     * 理论重量
     */
    private String actTheoryWeight = "";
    /**
     * 成分结果代码
     */
    private String chemResultCode = "";
    /**
     * 理化结果代码
     */
    private String phyResultCode = "";
    /**
     * 成分检验报告目录
     */
    private String chemResultPath = "";
    /**
     * 理化检验报告目录
     */
    private String phyResultPath = "";
    /**
     * 产出物料码
     */
    private String materialNo = "";
    /**
     * 产出物料描叙
     */
    private String materialName = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 工序排产订单号
     */
    private String proOrderId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 工艺文件号
     */
    private String crafNo = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 主制程索引号
     */
    private String indexSeq = "";
    /**
     * 判定标准（技术标准）
     */
    private String steelStandrad = "";
    /**
     * 成分标准索引号(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号(内控)
     */
    private String pic = "";
    /**
     * 结转年月
     */
    private String balYearMonth = "";
    /**
     * 利库标识(0,正常，1,利库)
     */
    private String lkFlag = "";
    /**
     * 工序判定备注
     */
    private String judgeMemo = "";
    /**
     * 工序判定时间
     */
    private String judgeTime = "";
    /**
     * 工序判定人
     */
    private String judgeMaker = "";
    /**
     * 工序不合格处置方式
     */
    private String auditResult = "";
    /**
     * 工序不合格处置备注
     */
    private String auditMemo = "";
    /**
     * 工序成分判定单号
     */
    private String chemJudgeId = "";
    /**
     * 工序理化判定单号
     */
    private String phyJudgeId = "";
    /**
     * 状态（00：初使状态；20：已判定； ）
     */
    private String validflag = "";
    /**
     * 委托人
     */
    private String consignName = "";
    /**
     * 委托时间
     */
    private String consignTime = "";
    /**
     * 委托备注
     */
    private String consignMemo = "";
    /**
     * 管材材力试验文件路径
     */
    private String cailiPath = "";
    /**
     * 管材腐蚀试验文件路径
     */
    private String fushiPath = "";
    /**
     * 管材金物试验文件路径
     */
    private String jinwuPath = "";
    /**
     * 管材工程试验文件路径
     */
    private String gongchengPath = "";
    /**
     * 管材低倍试验文件路径
     */
    private String dibeiPath = "";
    /**
     * 管材化学试验文件路径
     */
    private String huaxuePath = "";
    /**
     * 综合判定结果代码
     */
    private String judgeResultCode = "";
    /**
     * 是否有效（0有效 1无效）
     */
    private String isFlag = "";
    /**
     * 是否需要重新热处理（0:初始 1:需要重新热处理）
     */
    private String cyclesFlag = "";
    /**
     * 是否需要重取样  0不需要 1需要
     */
    private String resample = "";
    /**
     * 产品标识(ABC)
     */
    private String target = "";
    /**
     * 委托类型(0，正常 1，首日检 2，科研样 3，生产加样 ， 4外购管，5内部委托，6组炉)
     */
    private String craftSource = "";
    /**
     * 是否缺少SSC (0否  1是)
     */
    private String isNoSsc = "";
    /**
     * 是否申请复取样（0未申请，  1已申请）
     */
    private String applyResample = "";
    /**
     * 是否缺少HIC (0否  1是)
     */
    private String isNoHic = "";
    /**
     * 生产批下炉归组
     */
    private String lotNoGroup = "";
    /**
     * 报出情况  0未报出 1 部分报出 2报全
     */
    private String quoteState = "";
    /**
     * 组批主炉号(炉号+批号)
     */
    private String zpMLh = "";
    /**
     * 组批炉号集合逗号分隔(炉号1+批号1,炉号2+批号2)
     */
    private String zpColl = "";
    /**
     * 精整利库工序代码
     */
    private String likuProcessCode = "";

    /**
     * 检验编号
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验编号
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 实重
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 实重
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 理论重量
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 理论重量
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 成分结果代码
     * @return value
     */
    public String getChemResultCode() {
        return chemResultCode;
    }

    /**
     * 成分结果代码
     * @param chemResultCode value
     */
    public void setChemResultCode(String chemResultCode) {
        this.chemResultCode = chemResultCode;
    }

    /**
     * 理化结果代码
     * @return value
     */
    public String getPhyResultCode() {
        return phyResultCode;
    }

    /**
     * 理化结果代码
     * @param phyResultCode value
     */
    public void setPhyResultCode(String phyResultCode) {
        this.phyResultCode = phyResultCode;
    }

    /**
     * 成分检验报告目录
     * @return value
     */
    public String getChemResultPath() {
        return chemResultPath;
    }

    /**
     * 成分检验报告目录
     * @param chemResultPath value
     */
    public void setChemResultPath(String chemResultPath) {
        this.chemResultPath = chemResultPath;
    }

    /**
     * 理化检验报告目录
     * @return value
     */
    public String getPhyResultPath() {
        return phyResultPath;
    }

    /**
     * 理化检验报告目录
     * @param phyResultPath value
     */
    public void setPhyResultPath(String phyResultPath) {
        this.phyResultPath = phyResultPath;
    }

    /**
     * 产出物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 产出物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 产出物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 产出物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 工序排产订单号
     * @return value
     */
    public String getProOrderId() {
        return proOrderId;
    }

    /**
     * 工序排产订单号
     * @param proOrderId value
     */
    public void setProOrderId(String proOrderId) {
        this.proOrderId = proOrderId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCrafNo() {
        return crafNo;
    }

    /**
     * 工艺文件号
     * @param crafNo value
     */
    public void setCrafNo(String crafNo) {
        this.crafNo = crafNo;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 主制程索引号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 主制程索引号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }

    /**
     * 判定标准（技术标准）
     * @return value
     */
    public String getSteelStandrad() {
        return steelStandrad;
    }

    /**
     * 判定标准（技术标准）
     * @param steelStandrad value
     */
    public void setSteelStandrad(String steelStandrad) {
        this.steelStandrad = steelStandrad;
    }

    /**
     * 成分标准索引号(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 结转年月
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结转年月
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 利库标识(0,正常，1,利库)
     * @return value
     */
    public String getLkFlag() {
        return lkFlag;
    }

    /**
     * 利库标识(0,正常，1,利库)
     * @param lkFlag value
     */
    public void setLkFlag(String lkFlag) {
        this.lkFlag = lkFlag;
    }

    /**
     * 工序判定备注
     * @return value
     */
    public String getJudgeMemo() {
        return judgeMemo;
    }

    /**
     * 工序判定备注
     * @param judgeMemo value
     */
    public void setJudgeMemo(String judgeMemo) {
        this.judgeMemo = judgeMemo;
    }

    /**
     * 工序判定时间
     * @return value
     */
    public String getJudgeTime() {
        return judgeTime;
    }

    /**
     * 工序判定时间
     * @param judgeTime value
     */
    public void setJudgeTime(String judgeTime) {
        this.judgeTime = judgeTime;
    }

    /**
     * 工序判定人
     * @return value
     */
    public String getJudgeMaker() {
        return judgeMaker;
    }

    /**
     * 工序判定人
     * @param judgeMaker value
     */
    public void setJudgeMaker(String judgeMaker) {
        this.judgeMaker = judgeMaker;
    }

    /**
     * 工序不合格处置方式
     * @return value
     */
    public String getAuditResult() {
        return auditResult;
    }

    /**
     * 工序不合格处置方式
     * @param auditResult value
     */
    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    /**
     * 工序不合格处置备注
     * @return value
     */
    public String getAuditMemo() {
        return auditMemo;
    }

    /**
     * 工序不合格处置备注
     * @param auditMemo value
     */
    public void setAuditMemo(String auditMemo) {
        this.auditMemo = auditMemo;
    }

    /**
     * 工序成分判定单号
     * @return value
     */
    public String getChemJudgeId() {
        return chemJudgeId;
    }

    /**
     * 工序成分判定单号
     * @param chemJudgeId value
     */
    public void setChemJudgeId(String chemJudgeId) {
        this.chemJudgeId = chemJudgeId;
    }

    /**
     * 工序理化判定单号
     * @return value
     */
    public String getPhyJudgeId() {
        return phyJudgeId;
    }

    /**
     * 工序理化判定单号
     * @param phyJudgeId value
     */
    public void setPhyJudgeId(String phyJudgeId) {
        this.phyJudgeId = phyJudgeId;
    }

    /**
     * 状态（00：初使状态；20：已判定； ）
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 状态（00：初使状态；20：已判定； ）
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 委托人
     * @return value
     */
    public String getConsignName() {
        return consignName;
    }

    /**
     * 委托人
     * @param consignName value
     */
    public void setConsignName(String consignName) {
        this.consignName = consignName;
    }

    /**
     * 委托时间
     * @return value
     */
    public String getConsignTime() {
        return consignTime;
    }

    /**
     * 委托时间
     * @param consignTime value
     */
    public void setConsignTime(String consignTime) {
        this.consignTime = consignTime;
    }

    /**
     * 委托备注
     * @return value
     */
    public String getConsignMemo() {
        return consignMemo;
    }

    /**
     * 委托备注
     * @param consignMemo value
     */
    public void setConsignMemo(String consignMemo) {
        this.consignMemo = consignMemo;
    }

    /**
     * 管材材力试验文件路径
     * @return value
     */
    public String getCailiPath() {
        return cailiPath;
    }

    /**
     * 管材材力试验文件路径
     * @param cailiPath value
     */
    public void setCailiPath(String cailiPath) {
        this.cailiPath = cailiPath;
    }

    /**
     * 管材腐蚀试验文件路径
     * @return value
     */
    public String getFushiPath() {
        return fushiPath;
    }

    /**
     * 管材腐蚀试验文件路径
     * @param fushiPath value
     */
    public void setFushiPath(String fushiPath) {
        this.fushiPath = fushiPath;
    }

    /**
     * 管材金物试验文件路径
     * @return value
     */
    public String getJinwuPath() {
        return jinwuPath;
    }

    /**
     * 管材金物试验文件路径
     * @param jinwuPath value
     */
    public void setJinwuPath(String jinwuPath) {
        this.jinwuPath = jinwuPath;
    }

    /**
     * 管材工程试验文件路径
     * @return value
     */
    public String getGongchengPath() {
        return gongchengPath;
    }

    /**
     * 管材工程试验文件路径
     * @param gongchengPath value
     */
    public void setGongchengPath(String gongchengPath) {
        this.gongchengPath = gongchengPath;
    }

    /**
     * 管材低倍试验文件路径
     * @return value
     */
    public String getDibeiPath() {
        return dibeiPath;
    }

    /**
     * 管材低倍试验文件路径
     * @param dibeiPath value
     */
    public void setDibeiPath(String dibeiPath) {
        this.dibeiPath = dibeiPath;
    }

    /**
     * 管材化学试验文件路径
     * @return value
     */
    public String getHuaxuePath() {
        return huaxuePath;
    }

    /**
     * 管材化学试验文件路径
     * @param huaxuePath value
     */
    public void setHuaxuePath(String huaxuePath) {
        this.huaxuePath = huaxuePath;
    }

    /**
     * 综合判定结果代码
     * @return value
     */
    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    /**
     * 综合判定结果代码
     * @param judgeResultCode value
     */
    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }

    /**
     * 是否有效（0有效 1无效）
     * @return value
     */
    public String getIsFlag() {
        return isFlag;
    }

    /**
     * 是否有效（0有效 1无效）
     * @param isFlag value
     */
    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    /**
     * 是否需要重新热处理（0:初始 1:需要重新热处理）
     * @return value
     */
    public String getCyclesFlag() {
        return cyclesFlag;
    }

    /**
     * 是否需要重新热处理（0:初始 1:需要重新热处理）
     * @param cyclesFlag value
     */
    public void setCyclesFlag(String cyclesFlag) {
        this.cyclesFlag = cyclesFlag;
    }

    /**
     * 是否需要重取样  0不需要 1需要
     * @return value
     */
    public String getResample() {
        return resample;
    }

    /**
     * 是否需要重取样  0不需要 1需要
     * @param resample value
     */
    public void setResample(String resample) {
        this.resample = resample;
    }

    /**
     * 产品标识(ABC)
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 产品标识(ABC)
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 委托类型(0，正常 1，首日检 2，科研样 3，生产加样 ， 4外购管，5内部委托，6组炉)
     * @return value
     */
    public String getCraftSource() {
        return craftSource;
    }

    /**
     * 委托类型(0，正常 1，首日检 2，科研样 3，生产加样 ， 4外购管，5内部委托，6组炉)
     * @param craftSource value
     */
    public void setCraftSource(String craftSource) {
        this.craftSource = craftSource;
    }

    /**
     * 是否缺少SSC (0否  1是)
     * @return value
     */
    public String getIsNoSsc() {
        return isNoSsc;
    }

    /**
     * 是否缺少SSC (0否  1是)
     * @param isNoSsc value
     */
    public void setIsNoSsc(String isNoSsc) {
        this.isNoSsc = isNoSsc;
    }

    /**
     * 是否申请复取样（0未申请，  1已申请）
     * @return value
     */
    public String getApplyResample() {
        return applyResample;
    }

    /**
     * 是否申请复取样（0未申请，  1已申请）
     * @param applyResample value
     */
    public void setApplyResample(String applyResample) {
        this.applyResample = applyResample;
    }

    /**
     * 是否缺少HIC (0否  1是)
     * @return value
     */
    public String getIsNoHic() {
        return isNoHic;
    }

    /**
     * 是否缺少HIC (0否  1是)
     * @param isNoHic value
     */
    public void setIsNoHic(String isNoHic) {
        this.isNoHic = isNoHic;
    }

    /**
     * 生产批下炉归组
     * @return value
     */
    public String getLotNoGroup() {
        return lotNoGroup;
    }

    /**
     * 生产批下炉归组
     * @param lotNoGroup value
     */
    public void setLotNoGroup(String lotNoGroup) {
        this.lotNoGroup = lotNoGroup;
    }

    /**
     * 报出情况  0未报出 1 部分报出 2报全
     * @return value
     */
    public String getQuoteState() {
        return quoteState;
    }

    /**
     * 报出情况  0未报出 1 部分报出 2报全
     * @param quoteState value
     */
    public void setQuoteState(String quoteState) {
        this.quoteState = quoteState;
    }

    /**
     * 组批主炉号(炉号+批号)
     * @return value
     */
    public String getZpMLh() {
        return zpMLh;
    }

    /**
     * 组批主炉号(炉号+批号)
     * @param zpMLh value
     */
    public void setZpMLh(String zpMLh) {
        this.zpMLh = zpMLh;
    }

    /**
     * 组批炉号集合逗号分隔(炉号1+批号1,炉号2+批号2)
     * @return value
     */
    public String getZpColl() {
        return zpColl;
    }

    /**
     * 组批炉号集合逗号分隔(炉号1+批号1,炉号2+批号2)
     * @param zpColl value
     */
    public void setZpColl(String zpColl) {
        this.zpColl = zpColl;
    }

    /**
     * 精整利库工序代码
     * @return value
     */
    public String getLikuProcessCode() {
        return likuProcessCode;
    }

    /**
     * 精整利库工序代码
     * @param likuProcessCode value
     */
    public void setLikuProcessCode(String likuProcessCode) {
        this.likuProcessCode = likuProcessCode;
    }
}
